/*
 * GREAT-ER
 *
 * MODUTIL.H
 *
 * model section - utilities
 *
 * author =  Geert Boeije
 * state =   12.11.1997
*/

#ifndef MODUTIL_H
#define MODUTIL_H

/* functions defined in MODUTIL.C */

void InflowIntoSegment ( FloatPtr segment_iface_arg,
                         FloatPtr river_par_arg );

void DestinationSplitter ( int      process_arg,
                           FloatPtr fract_arg,
                           int      gw_mode_arg );

void PerformSubmatrixOperation ( int      from_row_arg,
                                 int      nr_rows_arg,
                                 int      process_arg,
                                 int      terminal_arg );

void CalculateInterfaceVars ( FloatPtr segment_iface_arg );

void CalculateSummaryVars ( FloatPtr segment_summary_arg,
                            int      a_discharge_arg,
                            FloatType stretch_length_arg );

void MakeOutMoreMatrix ( FloatPtr out_arg,
                         FloatPtr p_out_arg,
                         int nr_sub_arg,
                         int nr_dest_arg );

void MakeOutOneMatrix ( FloatPtr out_arg,
                        int nr_sub_arg );

#endif

