/*
 * GREAT-ER
 *
 * TREEWALK.H
 *
 * walking the river network
 *
 * author =  Geert Boeije
 * state =   17.03.1997
*/

#ifndef TREEWALK_H
#define TREEWALK_H

void TreeWalk ( FloatPtr  allsegments_iface_arg, 
                FloatPtr  allsegments_summary_arg,
                FloatPtr  allsegments_par_arg,
                FloatPtr  allsegments_rivclass_arg,
                int       current_segment_arg );

void GetInflowFromUpstream ( int     to_nr_arg,
                             int     from_segment_one_arg,
                             int     from_segment_two_arg,
                             FloatPtr allsegments_iface_arg,
                             FloatPtr allsegments_par_arg    );

void GetBifurcationInflowFromUpstream ( int     to_nr_arg,
                                        int     upstream_arg,
                                        int     neighbor_arg,
                                        FloatPtr allsegments_iface_arg,
                                        FloatPtr allsegments_par_arg    );

int InitializeTree ( void );


#endif
