/*
 * GREAT-ER
 *
 * NAVIGATE.H
 *
 * navigation through the X, A and B matrices and the parameters arrays
 *
 * author =  Geert Boeije
 * state =   9.12.1997
*/

#ifndef NAVIGATE_H
#define NAVIGATE_H

/* functions defined in NAVIGATE.C */

void CalculateStateVarsArrayOffset (void);

int GetNrTerminalsInProcess(int process_arg);

void CalculateAmatrixOffset (void);

void CalculateSegmentParametersOffset ( void );

void CalculateParametersArrayOffset ( void );

void CalculateDistriParIndex (void);

int oX( int statevar_arg,
        int process_arg,
        int terminal_arg,
        int submodel_arg );

int oS( int statevar_arg,
        int terminal_arg );

int Acoordinates( int i_arg,
                  int j_arg );

int DischargeNumber ( int      from_arg,
                      FloatType segment_ID_arg );

int SegmentNumber ( int      from_arg,
                    FloatType segment_ID_arg,
                    int       dir_arg );

int EmissionNumber ( FloatType segment_ID_arg );

int RivClassNumber ( FloatType rivclass_ID_arg );

int WWTPNumber ( FloatType wwtp_ID_arg );

#endif

